Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
giannifrullo

isolare blocco autocad

Recommended Posts

Immagino tu debba isolare lo stesso tipo di blocco, o solo uno dei tanti riferimenti? Nel primo caso selezioni un blocco (non importa quale), quindi tasto destro > Seleziona simile (questo selezionerà tutte le istanze); a questo punto sempre con tasto destro scegli Isola > Isola oggetti

Share this post


Link to post
Share on other sites

Ah, scusa, dimenticavo...se inveci devi isolare solo un riferimento salit la parte del "seleziona simile" ;)

P.S. Devi avere almeno AutoCAD 2011. In caso contrario ti attacchi!

Share this post


Link to post
Share on other sites

Ah, scusa, dimenticavo...se inveci devi isolare solo un riferimento salit la parte del "seleziona simile" ;)

P.S. Devi avere almeno AutoCAD 2011. In caso contrario ti attacchi!

ho autoc ad 2010 ma credo che mi attecchero al 2011 presto

grazie 1000

appena posso l installo e vediamo come va

Share this post


Link to post
Share on other sites

ma scusa, non ti basta selezionare il blocco e poi dare editor blocchi ?

Da quello che ho capito deve isolare i riferimenti di blocco, non editare il blocco...

Share this post


Link to post
Share on other sites

Da quello che ho capito deve isolare i riferimenti di blocco, non editare il blocco...

ci ho pensato anche io ma a volte non si capisce bene o comunque cercano la soluzione più ovvia :) non si sa mai

Share this post


Link to post
Share on other sites

comando _QSELECT (SELERAPID in italiano)

e filtri tutto quello che vuoi

Scusa arri ma a casa mia selezionare (filtrare) e isolare sono 2 cose diverse; da come l'ho intuita io (poi magari mi sbaglio) lui vuole, analogamente al comando LAYISO per i layer, isolare (visualizzare) un blocco/n riferimenti di blocco.

Magari poi a lui bastava solo QSELECT come dici tu...dalla risposta che ha dato 3 giorni fa non ha chiarito una beneamata fava. Boh!

Share this post


Link to post
Share on other sites

esattamente cercavo il comando isola blocco come quello che uso per isolare i layer

sono stato in ferie ho appena ripreso il lavoro

e sono ancora alla ricerca del comando

attendo lumi

PS se faccio isola oggetto mi isola un solo pezzo mentre io voglio isolare tutti i blocchi uguali insomma come si fa con i layer è possibile?

Share this post


Link to post
Share on other sites

prova così: selezioni il blocco e poi fai "editor blocchi". Così ti si apre una schermata (di default a sfondo giallo) nella quale hai isolato il blocco.

scusa, ho visto ora che non pare sia ciò che vuoi. Ti consiglio di specificare meglio cosa vuoi fare.


Edited by gamera

Share this post


Link to post
Share on other sites

...se faccio isola oggetto mi isola un solo pezzo mentre io voglio isolare tutti i blocchi uguali...

La soluzione, bene o male, ti è già stata indicata, utilizza FILTER (o SELERAPID) per selezionare tutti i blocchi con lo stesso nome, poi ISOLATEOBJECTS.

Oppure assegna questa istruzione ad un pulsante:

^C^C(command "ISOLATEOBJECTS" (ssget "_X" (list (cons 0 "INSERT") (cons 2 (cdr (assoc 2 (entget (car (entsel "Selezionare il blocco da isolare....")))))))) "")

Share this post


Link to post
Share on other sites

isola oggetto va bene

ma non riesco a fare la selezione rapida

cioe mi isola solo il blocco sul quale clicco su non riesce a individuare tutti i blocchi uguali e quindi di conseguenza isolarli

quindi ricapitolando unica cosa che non riesco a fare e la selezione rapida

forse sbaglio qualcosa

io metto selezione rapida in proprieta cosa metto layer?

Share this post


Link to post
Share on other sites

no purtoppo non lo so fare

se mi dite come si fa

ve ne saro grato

grazie

Qui trovi un tutorial

http://www.speculumatrum.it/cad_pulsanti.html

Se crei un nuovo pulsante incolla questa stringa

^C^C(command "ISOLATEOBJECTS" (ssget "_X" (list (cons 0 "INSERT") (cons 2 (cdr (assoc 2 (entget (car (entsel "Selezionare il blocco da isolare....")))))))) "")

alla destra della casella macro, quella evidenziata in azzurro nell'mmagine

Foto05.png

Altrimenti usa il lisp:

- scarica il file che allego, scompattalo e posizionalo in una qualunque cartella

- in AutoCAD comando APPLOAD

- seleziona come tipo di file File AutoLISP (*.lsp)

- cerca il lisp che hai scaricato e clicca su Carica e poi Chiudi

- dalla linea di comando digita IB e seleziona il blocco da isolare...

:)

ISOLA_BLOCCO.zip

Share this post


Link to post
Share on other sites

:blink: esagerato farsi un comando per selezionare un oggetto...dai trovo sia assurdo. :(

Beh, la cosa è soggettiva, d'altronde macro e lisp sono fatti per "risparmiare operazioni", anche se poche, specialmente se usate in modo ripetitivo.

Perchè hanno istituito LAYOFF se bastava entrare nella finestra gestione layer, selezionare il layer e spegnerlo? Ora basta cliccare sul pulsante.

Il "comando" postato non seleziona un oggetto, ma tutti i blocchi con lo stesso nome, poi li isola.

:)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...
Aspetta! x